﻿Imports MediaCy.Addins.Scripting.Workflow
Public Module Gadgets

	Public Function OpenLineProfile() As SimpleScript
		OpenLineProfile = New SimpleScript

		With Automate.ScriptingCommands.CodeCommand(OpenLineProfile)
			If .Run() Then
                .Application.Settings("McDlgLineProfile").Set("InitialProfile", 0)
			End If
        End With

        With Measure.LineProfileCommands.LineProfile(OpenLineProfile)
			.CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Checked
			.Run()
		End With

	End Function


    Public Function CloseLineProfile() As SimpleScript
        CloseLineProfile = New SimpleScript

        With Measure.LineProfileCommands.LineProfile(CloseLineProfile)
            .CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Unchecked
            .Run()
        End With

    End Function

    Public Function OpenInensityPanel() As SimpleScript
        OpenInensityPanel = New SimpleScript

        With Application.Gadgets.IntensityCalibration(OpenInensityPanel)
            .CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Checked
            .Run()
        End With

    End Function

    Public Function OpenSpatialPanel() As SimpleScript
        OpenSpatialPanel = New SimpleScript

        With Application.Gadgets.SpatialCalibration(OpenSpatialPanel)
            .CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Checked
            .Run()
        End With

    End Function

    Public Function OpenLocalZoomPanel() As SimpleScript
        OpenLocalZoomPanel = New SimpleScript

        With Application.Gadgets.LocalZoom(OpenLocalZoomPanel)
            .CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Checked
            .Run()
        End With

    End Function

End Module
